#include <Arduino.h>
#include "SerialMulti.hpp"

CSerialMulti SerialM;

void setup() {
  SerialM.begin(115200);
//  SerialM.forcesel(2);
}

void loop() {
  SerialM.printf("*");
  SerialM.flush();
  while (SerialM.available()) {
    char c = SerialM.read();
    SerialM.printf("%c", c);
    if (c == '#') SerialM.restart();
    if (c == '!') SerialM.usbboot();
  }
  delay(100);
}
